### Function

# FwupdPlugin Smbios chassis_kind_to_string

#### Declaration [src]

    const gchar*
    fu_smbios_chassis_kind_to_string (
      FuSmbiosChassisKind val
    )

#### Description [src]

Converts an enumerated value to a string.

#### Parameters

`val`

  Type: `FuSmbiosChassisKind`

  Value, e.g. `FU_SMBIOS_CHASSIS_KIND_OTHER`.

#### Return value

Type: `const gchar*`

Identifier string.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.